### Class

# CloudProviders DbusObjectProxy

#### Description [src]

    class CloudProviders.DbusObjectProxy : Gio.DBusObjectProxy
      implements CloudProviders.DbusObject, Gio.DBusObject {
      /* No available fields */
    }

The `CloudProvidersDbusObjectProxy` structure contains only private data and should only be accessed using the provided API.

#### Ancestors

- GDBusObjectProxy
- GObject

#### Implements

- CloudProvidersDbusObject
- GDBusObject

#### Constructors

###### cloud_providers_dbus_object_proxy_new

Creates a new proxy object.

#### Instance methods

##### Methods inherited from GDBusObjectProxy (1)

###### g_dbus_object_proxy_get_connection

Gets the connection that `proxy` is for.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from CloudProvidersDbusObject (4)

###### cloud_providers_dbus_object_get_account

Gets the `CloudProvidersDbusAccount` instance for the D-Bus interface org.freedesktop.CloudProviders.Account on `object`, if any.

###### cloud_providers_dbus_object_get_provider

Gets the `CloudProvidersDbusProvider` instance for the D-Bus interface org.freedesktop.CloudProviders.Provider on `object`, if any.

###### cloud_providers_dbus_object_peek_account

Like `cloud_providers_dbus_object_get_account()` but doesn’t increase the reference count on the returned object.

###### cloud_providers_dbus_object_peek_provider

Like `cloud_providers_dbus_object_get_provider()` but doesn’t increase the reference count on the returned object.

##### Methods inherited from GDBusObject (3)

###### g_dbus_object_get_interface

Gets the D-Bus interface with name `interface_name` associated with `object`, if any.

###### g_dbus_object_get_interfaces

Gets the D-Bus interfaces associated with `object`.

###### g_dbus_object_get_object_path

Gets the object path for `object`.

#### Properties

##### Properties inherited from GDBusObjectProxy (2)

###### Gio.DBusObjectProxy:g-connection

The connection of the proxy.

###### Gio.DBusObjectProxy:g-object-path

The object path of the proxy.

##### Properties inherited from CloudProvidersDbusObject (2)

###### CloudProvidersDbusObject:account

The `CloudProvidersDbusAccount` instance corresponding to the D-Bus interface org.freedesktop.CloudProviders.Account, if any.

###### CloudProvidersDbusObject:provider

The `CloudProvidersDbusProvider` instance corresponding to the D-Bus interface org.freedesktop.CloudProviders.Provider, if any.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from GDBusObject (2)

###### GDBusObject::interface-added

Emitted when `interface` is added to `object`.

###### GDBusObject::interface-removed

Emitted when `interface` is removed from `object`.

#### Class structure

    struct CloudProvidersDbusObjectProxyClass {
      GDBusObjectProxyClass parent_class;

    }

Class structure for `CloudProvidersDbusObjectProxy`.

###### Class members

`parent_class: GDBusObjectProxyClass`

  The parent class.